/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;
import HumanResMgmt.Employment.CompenAgreement;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class EmployeeAsCompensatedOne extends RelMgmt.Party.PersonRole {
    public BigDecimal calcTotalCompensation() {
        return new BigDecimal(0);
    }

    public Vector assessTrendInCompensationAgreements() {
        return new Vector();
    }

    public BigDecimal assessLikelihoodOfJobSatisfaction() {
        return new BigDecimal(0);
    }

    public Vector listCompensationAgreements() {
        return new Vector();
    }

    public Vector listEmployeeWork() {
        return new Vector();
    }

    public Vector listEmployeePayments() {
        return new Vector();
    }

    public Vector listEmployeeExpenses() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @label derivable
     * @clientCardinality 1
     */
    private HumanResMgmt.WorkAndPayment.EmployeeWork lnkUnnamed1;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     * @label derivable
     */
    private HumanResMgmt.WorkAndPayment.EmployeePayment lnkUnnamed4;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private HumanResMgmt.Employment.Employment lnkUnnamed;

    /**
     * @label derivable
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private CompenAgreement lnkUnnamed2;
}


